aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2020-02-13 22:44:59 +0300
committerromkatv <roman.perepelitsa@gmail.com>2020-02-13 22:44:59 +0300
commit24507b9744708a8922a7d3014e2a69593fa53af7 (patch)
tree22be5c149e66775b1b11216cea925c45deebf8fd
parent15886934008f1ede737ecffdd5dc5d3de24f8397 (diff)
asdf bug fix: call list-legacy-filenames only when legacy_version_file = yes
Fixes #492.
-rw-r--r--internal/p10k.zsh11
1 files changed, 5 insertions, 6 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index c97291d1..d0a5637a 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -4588,21 +4588,20 @@ function _p9k_asdf_init_meta() {
local plugin
for plugin in $root/[^[:space:]]##(N); do
_p9k_asdf_plugins+=${plugin:t}
+ (( legacy_enabled )) || continue
if [[ ! -e $plugin/bin ]]; then
files+=$plugin/bin
else
local list_names=$plugin/bin/list-legacy-filenames
files+=$list_names
if [[ -x $list_names ]]; then
+ local parse=$plugin/bin/parse-legacy-file
local -i has_parse=0
- if (( legacy_enabled )); then
- local parse=$plugin/bin/parse-legacy-file
- files+=$parse
- [[ -x $parse ]] && has_parse=1
- fi
+ files+=$parse
+ [[ -x $parse ]] && has_parse=1
local name
for name in $($list_names 2>/dev/null); do
- [[ $name == (*/*|*:*|.tool-versions) ]] && continue
+ [[ $name == (*/*|.tool-versions) ]] && continue
_p9k_asdf_file_info[$name]+="${plugin:t} $has_parse "
done
fi